classification
Title: No tests for inspect.getfullargspec()
Type: Stage:
Components: Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, christian.heimes, quentin.gallet-gilles
Priority: high Keywords: patch

Created on 2007-09-07 02:06 by brett.cannon, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
test_getfullargspec.diff quentin.gallet-gilles, 2007-09-22 15:00
Messages (4)
msg56088 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2007-09-22 15:00
I created 4 tests, see attached 'test_getfullargspec.diff' patch.

2 tests verify that getargspec raises ValueError when trying to call it
with the function containing keyword-only arguments or annotations.
The 2 others call getfullargspec and check everything returned is as
expected.

Are some more tests needed ?
msg56091 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2007-09-22 17:27
Won't know if more tests are needed until the patch is reviewed.

Thanks for the work so far, though!
msg57241 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-08 13:49
I've applied your patch in r58910. Thanks!

Please open another bug if you have additional tests.
msg57247 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2007-11-08 14:07
Alright, thanks!
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-11-08 17:24:23christian.heimessetstatus: open -> closed
2007-11-08 14:07:03quentin.gallet-gillessetmessages: + msg57247
2007-11-08 13:49:43christian.heimessetresolution: fixed
messages: + msg57241
nosy: + christian.heimes
2007-09-22 17:27:49brett.cannonsetkeywords: + patch
assignee: brett.cannon
messages: + msg56091
nosy: + brett.cannon
2007-09-22 15:00:37quentin.gallet-gillessetfiles: + test_getfullargspec.diff
nosy: + quentin.gallet-gilles
messages: + msg56088
2007-09-07 02:06:34brett.cannoncreate